org.apache.geode.cache.operations

## Class RegionCreateOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.RegionCreateOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class RegionCreateOperationContext
      extends OperationContext

  Encapsulates a `OperationContext.OperationCode.REGION_CREATE` operation for both the pre-operation and post-operation cases.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionCreateOperationContext(boolean postOperation)` Deprecated. Constructor for the region creation operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.
    `boolean` | `isPostOperation()` Deprecated. True if the context is for post-operation.

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionCreateOperationContext

          public RegionCreateOperationContext(boolean postOperation)

      Deprecated.
      Constructor for the region creation operation.
      Parameters:
        `postOperation` - true to set the post-operation flag

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `OperationContext`
      Returns:
        `OperationCode.REGION_CREATE`.

    - #### isPostOperation

          public boolean isPostOperation()

      Deprecated.
      True if the context is for post-operation.
      Specified by:
        `isPostOperation` in class `OperationContext`